数据提供商: Keepa
按 ASIN 获取 Amazon 商品报价与库存
$0.093565 / 次调用异步运行,需轮询 Run
获取一个 Amazon 商品,并请求 20 至 100 个市场报价、Buy Box 数据,以及可选库存、评分、统计和历史商品变体。退回的报价中可能包含历史记录中的数据。检查 offersSuccessful 以及最后访问时间戳,以判断数据是否为最新信息;即使更新失败,仍然可以获取可用产品数据。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Keepa endpoint /product?offers=true on Glasser.bash
glasser run -p keepa -e '/product?offers=true' -i '{"asin":"B00M0QVG3W","domain":1,"offers":20,"history":0}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"keepa","endpoint":"/product?offers=true","input":{"asin":"B00M0QVG3W","domain":1,"offers":20,"history":0},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
购买前评估商品时,可以将可用详情与你的需求比较,确定需要进一步了解的内容。
复制此提示词到你的 Agent,按购买需求审阅商品。
提示词
Use keepa:/product?offers=true on Glasser.
Check this product against my buying requirements using the details actually returned.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"domain",
"asin",
"offers"
],
"properties": {
"asin": {
"type": "string",
"pattern": "^[A-Z0-9]{10}$"
},
"days": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
"aplus": {
"enum": [
0,
1
],
"type": "number"
},
"stats": {
"anyOf": [
{
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
{
"type": "string",
"pattern": "^(?:\\d{10,13},\\d{10,13}|\\d{4}-\\d{2}-\\d{2},\\d{4}-\\d{2}-\\d{2})$"
}
]
},
"stock": {
"enum": [
0,
1
],
"type": "number"
},
"domain": {
"enum": [
1,
2,
3,
4,
5,
6,
8,
9,
10,
11,
12
],
"type": "number"
},
"offers": {
"type": "integer",
"maximum": 100,
"minimum": 20
},
"rating": {
"enum": [
0,
1
],
"type": "number"
},
"update": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": -1
},
"videos": {
"enum": [
0,
1
],
"type": "number"
},
"history": {
"enum": [
0,
1
],
"type": "number"
},
"only-live-offers": {
"enum": [
0,
1
],
"type": "number"
},
"historical-variations": {
"enum": [
0,
1
],
"type": "number"
}
},
"additionalProperties": false
}json
{
"asin": "B00M0QVG3W",
"domain": 1,
"offers": 20,
"history": 0
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 仅在返回数据时收费。 | $0.093565 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |